{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.services.openssh;
in {
  options.marleyos.services.openssh.enable = lib.mkEnableOption "openssh";

  config = lib.mkIf cfg.enable {
    services.openssh = {
      enable = true;
      settings = {
        PermitRootLogin = "no";
      };
    };
  };
}
